Subject: bug#32897: 26.1; nxml-mode indentation

From: Noam Postavsky <[email-masked]>
Date: Fri, 19 Apr 2019 13:42:36 -0400

retitle 32897 nxml-mode nxml-char-ref-extra-display for &#10; (newline) is unwanted
severity 32897 minor
tags 32897 + patch
quit

[For the indentation aspect of this bug, see Bug#32003.]

David Carlisle <[email-masked]> writes:

> Also it does not show a visual newline for #10, even when other numeric
> references to printable characters do display the character, which was
> the desired behaviour.

I assume this was changed by [1: 930f8e8377].  I guess can just special
case newline, it's the only character that has this problem that I can
think of.  This would be for emacs-26 since it's a regression.

>From 689e90314f73fef3b2a7bdda183ca78101a5d449 Mon Sep 17 00:00:00 2001
From: Noam Postavsky <[email-masked]>
Date: Fri, 19 Apr 2019 13:28:00 -0400
Subject: [PATCH] Disable extra display of &#10; in nxml-mode (Bug#32897)

* lisp/nxml/nxml-mode.el (nxml-char-ref-display-extra): Don't put
display for the newline, it makes the indentation look wrong.
---
 lisp/nxml/nxml-mode.el | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/lisp/nxml/nxml-mode.el b/lisp/nxml/nxml-mode.el
index f17f5843b8..14748d5c56 100644
--- a/lisp/nxml/nxml-mode.el
+++ b/lisp/nxml/nxml-mode.el
@@ -2378,7 +2378,9 @@ (defun nxml-toggle-char-ref-extra-display (arg)
 (put 'nxml-char-ref 'evaporate t)
 
 (defun nxml-char-ref-display-extra (start end n)
-  (when nxml-char-ref-extra-display
+  (when (and ;; Displaying literal newline is unhelpful.
+             (not eql n ?\n)
+             nxml-char-ref-extra-display)
     (let ((name (or (get-char-code-property n 'name)
                     (get-char-code-property n 'old-name)))
 	  (glyph-string (and nxml-char-ref-display-glyph-flag
-- 
2.11.0

[1: 930f8e8377]: 2016-01-15 10:29:20 -0500
  Update nXML to use Emacs's Unicode support, and lexical-binding
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=930f8e8377e40ba161bd16ea4d612cb4c570ee1b